# DropDownList

The DropDownList component contains a list of predefined values, from which the user can choose a single value. The functionality of DropDownList resembles the SELECT form element of HTML. When an arrow icon accompanied with this component is pressed, the dropdown displays a list of values, from which the user can select one.

Also, it comes with full documentation and support which is available for commercial and community licensed users. To know more, please visit www.syncfusion.com.

## Key features

* Local and Remote Data Binding
* Grouping & Sorting support
* Template support
* Incremental search & filter search support
* Accessibility and Keyboard interaction

## Resources
[Demo](http://ej2.syncfusion.com/demos/#/material/dropdownlist/default.html)  
[Documentation](http://ej2.syncfusion.com/documentation/drop-down-list)  
[AngularDemo](http://ej2.syncfusion.com/angular/demos/#/material/dropdownlist/default)  
[AngularDocumentation](http://ej2.syncfusion.com/angular/documentation/drop-down-list)
[ReactDemo](http://ej2.syncfusion.com/react/demos/#/material/dropdownlist/default)  
[ReactDocumentation](http://ej2.syncfusion.com/react/documentation/drop-down-list/)

# ComboBox

The ComboBox component allows the user to type a value or choose an option from the list of predefined
options. When an arrow icon accompanied with this component is pressed, the dropdown displays a list of
values, from which the user can select one.

Also, it comes with full documentation and support which is available for commercial and community licensed users. To know more, please visit www.syncfusion.com.

## Key features

* Local and Remote Data Binding
* Custom value support
* Autofill support
* Grouping & Sorting support
* Template support
* Filter search support
* Accessibility and Keyboard interaction

## Resources
[Demo](http://ej2.syncfusion.com/demos/#/material/combobox/default.html)  
[Documentation](http://ej2.syncfusion.com/documentation/combo-box/)  
[AngularDemo](http://ej2.syncfusion.com/angular/demos/#/material/combobox/default)  
[AngularDocumentation](http://ej2.syncfusion.com/angular/documentation/combo-box/)
[ReactDemo](http://ej2.syncfusion.com/react/demos/#/material/combobox/default)  
[ReactDocumentation](http://ej2.syncfusion.com/react/documentation/combo-box/)

# AutoComplete

The AutoComplete component provides the matched suggestion list when type into the input, from which the user can select one.

Also, it comes with full documentation and support which is available for commercial and community licensed users. To know more, please visit www.syncfusion.com.

## Key features

* Local and Remote Data Binding
* Custom value support
* Autofill support
* Grouping & Sorting support
* Template support
* Accessibility and Keyboard interaction

## Resources
[Demo](http://ej2.syncfusion.com/demos/#/material/autocomplete/default.html)  
[Documentation](http://ej2.syncfusion.com/documentation/auto-complete/)  
[AngularDemo](http://ej2.syncfusion.com/angular/demos/#/material/autocomplete/default)  
[AngularDocumentation](http://ej2.syncfusion.com/angular/documentation/auto-complete/)
[ReactDemo](http://ej2.syncfusion.com/react/demos/#/material/autocomplete/default)  
[ReactDocumentation](http://ej2.syncfusion.com/react/documentation/auto-complete/)

# MultiSelect

The MultiSelect component contains a list of predefined values from which a multiple value can be chosen. The functionality of MultiSelect resembles the SELECT form element of HTML.

Also, it comes with full documentation and support which is available for commercial and community licensed users. To know more, please visit www.syncfusion.com.

## Key features

* Local and Remote Data Binding
* Custom value support
* Filter search support.
* Grouping & Sorting support
* Template support
* Accessibility and Keyboard interaction

## Resources
[Demo](http://ej2.syncfusion.com/demos/#/material/multiselect/default.html)  
[Documentation](http://ej2.syncfusion.com/documentation/multi-select/)  
[AngularDemo](http://ej2.syncfusion.com/angular/demos/#/material/multiselect/default)  
[AngularDocumentation](http://ej2.syncfusion.com/angular/documentation/multi-select/)
[ReactDemo](http://ej2.syncfusion.com/react/demos/#/material/multiselect/default)  
[ReactDocumentation](http://ej2.syncfusion.com/react/documentation/multi-select/)