# Grid Overview

The Grid control is used to display and manipulate tabular data with configuration options to control the way the data is presented and manipulated.
It will pull data from a data source, such as array of JSON objects, `OData web services`, or [`DataManager`](http://ej2.syncfusion.com/documentation/data/api-dataManager.html) binding data fields to columns.
Also displaying a column header to identify the field with support for grouped records.

The most important features available in the Grid components are paging, sorting, filtering, searching and grouping.
Also, it comes with full documentation and support which is available for commercial and community licensed users. To know more, please visit www.syncfusion.com. 

## Key Features

* **Data sources** - Bind the Grid component with an array of JSON objects or DataManager.
* **Sorting and grouping** - Supports **n** levels of sorting and grouping.
* **Filtering** - Offers filter bar at each column to filter data.
* **Paging** - Provides the option to easily switch between pages using the pager bar.
* **Reordering** - Allows you to drag any column and drop it at any position in the Grid’s column header row, allowing columns to be repositioned.
* **RTL support** - Provides a full-fledged right-to-left mode which aligns content in the Grid control from right to left.
* **Localization** - Provides inherent support to localize the UI.

## Resources
* [Demo](http://ej2.syncfusion.com/demos/#/material/grid/default.html)
* [Documentation](http://ej2.syncfusion.com/documentation/grid/)